import scala.actors.Actor._

object Echo {

  var keep_running = true

  val echoActor = actor {
    while (keep_running) {
      receive {
        case "exit" =>
          keep_running = false
        case msg =>
          println("received message: " + msg)
      }
    }
  }

  def main(args: Array[String]) {
    echoActor ! "hi there"
    echoActor ! 25
    echoActor ! ("This is a tuple", "With", "Four Parts", 36)
    echoActor ! "exit"
  }

}
